ReferenceAPI

Get a secret

Get a secret's metadata, since no route returns its value.

GET https://api.nevia.cloud/v1/secrets/{sec}
curl -X GET "https://api.nevia.cloud/v1/secrets/01d4cnjqmc7d2pk9r4w6y8b0c3f" \
  -H "Authorization: Bearer $TOKEN"
{
  "secret": {
    "id": "01d4cnjqmc7d2pk9r4w6y8b0c3f",
    "workspace": "01d4cnjjq40hnnh0nwmkg35nv2h",
    "name": "DATABASE_PASSWORD",
    "created_by": "01d4cnjmn4fbb1r5btxb5mypv62",
    "updated_by": "01d4cnjmn4fbb1r5btxb5mypv62",
    "created_at": "2026-09-10T12:34:56Z",
    "updated_at": "2026-09-10T12:34:56Z",
    "deleted_at": "2026-09-10T12:34:56Z"
  },
  "operations": [
    "01d4cnjm89yk0r3xtv80dy0x7by"
  ]
}

Authorization

bearerAuth
Authorization Bearer <token>

Send the token in the Authorization: Bearer <token> header. See Authenticate.

In: header

Path Parameters

sec* string

Secret id: 27 lowercase letters and digits.

Match ^[A-Za-z0-9_-]{1,64}$

Response

application/json

The secret's metadata.